package com.zsc.edu.gateway.modules.iot.record.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zsc.edu.gateway.modules.iot.record.entity.RecordData;

import java.util.List;

/**
 * @author zhuang
 */
public interface RecordDataService extends IService<RecordData> {
    RecordData create(RecordData record);

    List<RecordData> page(IPage<RecordData> page, String clientId);

    List<RecordData> recordData(String clientId);
}